from enum import Enum

from .delimited import DelimitedReader
from .json import JsonPivotInputReader
from .avro import AvroInputReader


class FileFormat(Enum):
    Unknown = 0,
    Delimited = 1,
    JSON = 2,
    Avro = 3


class FileExistsBehavior(Enum):
    Unknown = 0,
    Overwrite = 1,
    Append = 2,
    Abort = 3
